Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.persister.entity
Interface Loadable

All Superinterfaces:
  EntityPersister, OptimisticCacheSource

All Known Subinterfaces:
  OuterJoinLoadable, Queryable, SQLLoadable, UniqueKeyLoadable

All Known Implementing Classes:
  AbstractEntityPersister, JoinedSubclassEntityPersister, SingleTableEntityPersister, UnionSubclassEntityPersister

    public interface Loadable

extends EntityPersister

Implemented by a `EntityPersister` that may be loaded using `Loader`.

Author:
  Gavin King
See Also:
  `Loader`

Field Summary
`static String` | `ROWID_ALIAS`

Fields inherited from interface org.hibernate.persister.entity.EntityPersister
`ENTITY_ID`

Method Summary
`String` | `getDiscriminatorAlias(String suffix)` Get the result set aliases used for the identifier columns, given a suffix
`String` | `getDiscriminatorColumnName()`
`Type` | `getDiscriminatorType()` Get the discriminator type
`String[]` | `getIdentifierAliases(String suffix)` Get the result set aliases used for the identifier columns, given a suffix
`String[]` | `getIdentifierColumnNames()` Get the names of columns used to persist the identifier
`String[]` | `getPropertyAliases(String suffix, int i)` Get the result set aliases used for the property columns, given a suffix (properties of this class, only).
`String[]` | `getPropertyColumnNames(int i)` Get the result set column names mapped for this property (properties of this class, only).
`String` | `getSubclassForDiscriminatorValue(Object value)` Get the concrete subclass corresponding to the given discriminator value
`boolean` | `hasRowId()` Does the result set contain rowids?
`boolean` | `hasSubclasses()` Does this persistent class have subclasses?
`Object[]` | `hydrate(ResultSet rs, Serializable id, Object object, Loadable rootLoadable, String[][] suffixedPropertyColumns, boolean allProperties, SessionImplementor session)` Retrieve property values from one row of a result set
`boolean` | `isAbstract()`

Methods inherited from interface org.hibernate.persister.entity.EntityPersister
`afterInitialize, afterReassociate, canExtractIdOutOfEntity, createProxy, delete, findDirty, findModified, forceVersionIncrement, getCache, getCacheEntryStructure, getClassMetadata, getConcreteProxyClass, getCurrentVersion, getDatabaseSnapshot, getEntityMetamodel, getEntityName, getFactory, getIdentifier, getIdentifierGenerator, getIdentifierPropertyName, getIdentifierType, getMappedClass, getNaturalIdentifierProperties, getNaturalIdentifierSnapshot, getPropertyCascadeStyles, getPropertyCheckability, getPropertyInsertability, getPropertyInsertGenerationInclusions, getPropertyLaziness, getPropertyNames, getPropertyNullability, getPropertySpaces, getPropertyType, getPropertyTypes, getPropertyUpdateability, getPropertyUpdateGenerationInclusions, getPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesToInsert, getPropertyVersionability, getQuerySpaces, getRootEntityName, getSubclassEntityPersister, getVersion, getVersionProperty, getVersionType, guessEntityMode, hasCache, hasCascades, hasCollections, hasIdentifierProperty, hasInsertGeneratedProperties, hasLazyProperties, hasMutableProperties, hasNaturalIdentifier, hasProxy, hasSubselectLoadableCollections, hasUninitializedLazyProperties, hasUpdateGeneratedProperties, implementsLifecycle, implementsValidatable, insert, insert, instantiate, isBatchLoadable, isCacheInvalidationRequired, isIdentifierAssignedByInsert, isInherited, isInstance, isInstrumented, isLazyPropertiesCacheable, isMutable, isSelectBeforeUpdateRequired, isSubclassEntityName, isTransient, isVersioned, isVersionPropertyGenerated, load, lock, postInstantiate, processInsertGeneratedProperties, processUpdateGeneratedProperties, resetIdentifier, setIdentifier, setPropertyValue, setPropertyValues, update`

Methods inherited from interface org.hibernate.cache.OptimisticCacheSource
`getVersionComparator`

Field Detail

### ROWID_ALIAS

    static final String ROWID_ALIAS

See Also:
  Constant Field Values

Method Detail

### hasSubclasses

    boolean hasSubclasses()

  Does this persistent class have subclasses?

### getDiscriminatorType

    Type getDiscriminatorType()

  Get the discriminator type

### getSubclassForDiscriminatorValue

    String getSubclassForDiscriminatorValue(Object value)

  Get the concrete subclass corresponding to the given discriminator value

### getIdentifierColumnNames

    String[] getIdentifierColumnNames()

  Get the names of columns used to persist the identifier

### getIdentifierAliases

    String[] getIdentifierAliases(String suffix)

  Get the result set aliases used for the identifier columns, given a suffix

### getPropertyAliases

    String[] getPropertyAliases(String suffix,
                                int i)

  Get the result set aliases used for the property columns, given a suffix (properties of this class, only).

### getPropertyColumnNames

    String[] getPropertyColumnNames(int i)

  Get the result set column names mapped for this property (properties of this class, only).

### getDiscriminatorAlias

    String getDiscriminatorAlias(String suffix)

  Get the result set aliases used for the identifier columns, given a suffix

### getDiscriminatorColumnName

    String getDiscriminatorColumnName()

  Returns:
    the column name for the discriminator as specified in the mapping.

### hasRowId

    boolean hasRowId()

  Does the result set contain rowids?

### hydrate

    Object[] hydrate(ResultSet rs,
                     Serializable id,
                     Object object,
                     Loadable rootLoadable,
                     String[][] suffixedPropertyColumns,
                     boolean allProperties,
                     SessionImplementor session)
                     throws SQLException,
                            HibernateException

  Retrieve property values from one row of a result set

  Throws:
    `SQLException`
    `HibernateException`

### isAbstract

    boolean isAbstract()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD